Subject: bug#12581: 24.2.50: redo+ fails to modify edit menu

From: Konstantinos Efstathiou <[email-masked]>
Date: Fri, 5 Oct 2012 23:00:43 +0200

In the latest versions from the repository it is impossible to load redo+.el
(version 1.15 available from ELPA). The command (require 'redo+)
fails with (error "Attempt to modify read-only object").

I have tracked this down to the command

(setcar (cdr (memq :enable (assq 'undo menu-bar-edit-menu))) nil)

that fails with the same error. Actually redo+ attempts to setcar to 
something else but obviously the problem is that for some reason

(car (cdr (memq :enable (assq 'undo menu-bar-edit-menu)))

is now read-only while it used to be modifiable.

Is this a bug or expected behavior? Should redo+ be modified?